Package org.jbpm.marshalling.impl

## Interface JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry`, `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntry.Builder`
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode

      public static interface JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode.TextMapEntryOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` | `optional string name = 1;`
    `com.google.protobuf.ByteString` | `getNameBytes()` | `optional string name = 1;`
    `String` | `getValue()` | `optional string value = 2;`
    `com.google.protobuf.ByteString` | `getValueBytes()` | `optional string value = 2;`
    `boolean` | `hasName()` | `optional string name = 1;`
    `boolean` | `hasValue()` | `optional string value = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### hasName

          boolean hasName()

      `optional string name = 1;`
      Returns:
        Whether the name field is set.

    - #### getName

          String getName()

      `optional string name = 1;`
      Returns:
        The name.

    - #### getNameBytes

          com.google.protobuf.ByteString getNameBytes()

      `optional string name = 1;`
      Returns:
        The bytes for name.

    - #### hasValue

          boolean hasValue()

      `optional string value = 2;`
      Returns:
        Whether the value field is set.

    - #### getValue

          String getValue()

      `optional string value = 2;`
      Returns:
        The value.

    - #### getValueBytes

          com.google.protobuf.ByteString getValueBytes()

      `optional string value = 2;`
      Returns:
        The bytes for value.